Subject: bug#16196: 24.3.50; Disable ding when scrolling

From: Jan Djärv <[email-masked]>
Date: Fri, 20 Dec 2013 18:52:27 +0100

Hello.

20 dec 2013 kl. 11:48 skrev Eli Zaretskii <[email-masked]>:

>> Cc: "[email-masked]" <[email-masked]>
>> From: Jan Djärv <[email-masked]>
>> Date: Fri, 20 Dec 2013 11:32:40 +0100
>> 
>> On the C level I think it is a matter of not calling xsignal0 in window_scroll_(line|pixel)_based in window.c. 
> 
> Depends on the scope of the proposed change, as I wrote earlier.
> Grep lisp/*.el for "(signal .* 'end-of-buffer" to see how many places
> throw this error.

11 hits, 6 in simple.el.  17/10 if we include beginning-of-buffer.  About half is kill-related and does not involve scrolling.  Does not sound many to me.

But I would settle for no beep for WHEEL events.  I'd prefer no beep at all though.

	Jan D.